> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Autorizar nota fiscal



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json post /notas/{idNota}/emitir
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /notas/{idNota}/emitir:
    post:
      tags:
        - Notas
      summary: Autorizar nota fiscal
      operationId: AutorizarNotaFiscalAction
      parameters:
        - $ref: '#/components/parameters/post_notas_idNota_emitir_idNota'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AutorizarNotaFiscalModelRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutorizarNotaFiscalModelResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    post_notas_idNota_emitir_idNota:
      name: idNota
      in: path
      required: true
      schema:
        type: integer
  schemas:
    AutorizarNotaFiscalModelRequest:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            enviarEmail:
              type: boolean
          type: object
    AutorizarNotaFiscalModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            chaveAcesso:
              type: string
            linkAcesso:
              type: string
            situacao:
              description: |-

                - 1 - Pendente
                - 2 - Emitida
                - 3 - Cancelada
                - 4 - Enviada Aguardando Recibo
                - 5 - Rejeitada
                - 6 - Autorizada
                - 7 - Emitida Danfe
                - 8 - Registrada
                - 9 - Enviada Aguardando Protocolo
                - 10 - Denegada
              type: integer
              enum:
                - 1
                - 2
                - 3
                - 4
                - 5
                - 6
                - 7
                - 8
                - 9
                - 10
              x-enumDescriptions:
                - 1 - Pendente
                - 2 - Emitida
                - 3 - Cancelada
                - 4 - Enviada Aguardando Recibo
                - 5 - Rejeitada
                - 6 - Autorizada
                - 7 - Emitida Danfe
                - 8 - Registrada
                - 9 - Enviada Aguardando Protocolo
                - 10 - Denegada
            xml:
              type: string
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````